package de.jaret.examples.timebars.calendar.swt.renderer;

import de.jaret.util.date.JaretDate;
import de.jaret.util.ui.timebars.TickScaler.Range;
import de.jaret.util.ui.timebars.swt.renderer.DefaultTimeScaleRenderer;
import de.jaret.util.ui.timebars.swt.renderer.OldDefaultTimeScaleRenderer;

/**
 * Timescale renderer for the calendar example. This is a simple extension of the default timescale renderer supplying
 * another tooltip.
 * 
 * @author kliem
 * @version $Id: CalendarTimeScaleRenderer.java 850 2009-04-01 19:00:20Z kliem $
 */
public class CalendarTimeScaleRenderer extends OldDefaultTimeScaleRenderer {

    @Override
    protected String getToolTipTextForDate(JaretDate date, Range range) {
        return date.toDisplayStringTime();
    }
}
